//
//  WurfWaffen.cs
//
//  Author:
//       Philipp Schröck <philsch@hotmail.de>
//
//  Copyright (c) 2013 Philipp Schröck
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
using System;
using libcharakter.Talente.Kampf;

namespace libcharakter.ausrüstung.Waffen.Fernkampf
{
    [Serializable]
    public class WurfWaffen : FernkampfWaffe
    {
        public WurfWaffen(string name, decimal gewicht, int preis, int tp, ReichweitenMod[] mod,
                          int stapel = 10)
            : base(name, gewicht, preis, WaffenType.Wurfmesser, tp, mod, 0, stapel)
        {

        }
        public override bool Equip(Charakter chr)
        {
            m_usingTalent = (KampfTalent)chr.FindTalent("Wurfmesser");

            if (m_usingTalent != null)
            {
                m_at = m_usingTalent.Attacke;
                return true;
            }
            return false;
        }
    }
}

