using System;

namespace libcharakter
{
	namespace Talente
	{
		namespace Schrift
		{
			[Serializable]
			public class LesenSchreiben : abTalent
			{
				protected int m_komplexität;

				public LesenSchreiben (string name, int komplex, Charakter charakter, TableColum tab = TableColum.A)
					: base("Lesen/Schreiben: " + name, charakter.Eigenschaften["Klugheit"].Value - 2, TalentType.SpracheUndSchriften, 
					       tab , charakter)
				{
					m_komplexität = komplex;
				}
				public override bool Probe (Eigenschaften eg, int wert1, int wert2, int wert3, int erschwert, ref int rest)
				{
					return Probe (eg["Klugheit"], eg["Klugheit"], eg["Fingerfertigkeit"], wert1, wert2, wert3, erschwert, ref rest);
				}
			}
			[Serializable]
			public class KuslikerZeichen : LesenSchreiben
			{
				public KuslikerZeichen (Charakter charakter)
					: base("Kuslikier Zeichen", 10, charakter)
				{

				}
			}
			[Serializable]
			public class Tulamidya : LesenSchreiben
			{
				public Tulamidya (Charakter charakter)
				 : base("Tulamidya", 14, charakter)
				{
				}
			}
			[Serializable]
			public class GeheiligteGlyphenVonUnau : LesenSchreiben
			{
				public GeheiligteGlyphenVonUnau (Charakter charakter)
					: base("Geheiligte Glyphen Unau", 13, charakter)
				{

				}
			}
			[Serializable]
			public class Isdira : LesenSchreiben
			{
				public Isdira (Charakter charakter)
					: base("Isdira", 15, charakter)
				{

				}
			}
			[Serializable]
			public class Asdharia : LesenSchreiben
			{
				public Asdharia (Charakter charakter)
					: base("Asdharia", 18, charakter)
				{

				}
			}
			[Serializable]
			public class Rogolan : LesenSchreiben
			{
				public Rogolan (Charakter charakter)
					: base("Rogolan", 11, charakter)
				{

				}
			}
			[Serializable]
			public class UrTulamidya : LesenSchreiben
			{
				public UrTulamidya (Charakter charakter)
					: base("Ur-Tulamidya", 16, charakter)
				{

				}
			}
			[Serializable]
			public class Nanduria : LesenSchreiben
			{
				public Nanduria (Charakter charakter)
					: base("Nanduria", 10, charakter)
				{

				}
			}
			[Serializable]
			public class Zhayad : LesenSchreiben
			{
				public Zhayad (Charakter charakter)
					: base("Zhayad", 18, charakter)
				{

				}
			}
			[Serializable]
			public class Chrmk : LesenSchreiben
			{
				public Chrmk (Charakter charakter)
					: base("Chrmk", 18, charakter, TableColum.B)
				{

				}
			}
			[Serializable]
			public class HjaldinscheRunen : LesenSchreiben
			{
				public HjaldinscheRunen (Charakter charakter)
					: base("Hjaldinsche Runen", 10, charakter)
				{

				}
			}
		}
	}
}

